# Uses of Class
it.tdlight.jni.TdApi.SupergroupMembersFilter

## Uses of TdApi.SupergroupMembersFilter in it.tdlight.jni

Subclasses of TdApi.SupergroupMembersFilter in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.SupergroupMembersFilterAdministrators`
Returns the owner and administrators.
`static final class`
`TdApi.SupergroupMembersFilterBanned`
Returns users banned from the supergroup or channel; can be used only by administrators.
`static final class`
`TdApi.SupergroupMembersFilterBots`
Returns bot members of the supergroup or channel.
`static final class`
`TdApi.SupergroupMembersFilterContacts`
Returns contacts of the user, which are members of the supergroup or channel.
`static final class`
`TdApi.SupergroupMembersFilterMention`
Returns users which can be mentioned in the supergroup.
`static final class`
`TdApi.SupergroupMembersFilterRecent`
Returns recently active users in reverse chronological order.
`static final class`
`TdApi.SupergroupMembersFilterRestricted`
Returns restricted supergroup members; can be used only by administrators.
`static final class`
`TdApi.SupergroupMembersFilterSearch`
Used to search for supergroup or channel members via a (string) query.
Fields in it.tdlight.jni declared as TdApi.SupergroupMembersFilter
Modifier and Type
Field
Description
`TdApi.SupergroupMembersFilter`
TdApi.GetSupergroupMembers.`filter`
The type of users to return; pass null to use supergroupMembersFilterRecent.
Constructors in it.tdlight.jni with parameters of type TdApi.SupergroupMembersFilter
Modifier
Constructor
Description
``
`GetSupergroupMembers(long supergroupId, TdApi.SupergroupMembersFilter filter, int offset, int limit)`
Returns information about members or banned users in a supergroup or channel.